# DataExchange
TKIGES
IGESBasic

# IGESBasic_HArray1OfLineFontEntity Class Reference

`#include <IGESBasic_HArray1OfLineFontEntity.hxx>`

## Public Member Functions

Standard_EXPORT | IGESBasic_HArray1OfLineFontEntity (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESBasic_HArray1OfLineFontEntity (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESData_LineFontEntity)&V)
Standard_EXPORT void | Init (const Handle(IGESData_LineFontEntity)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESData_LineFontEntity)&Value)
const Handle_IGESData_LineFontEntity & | Value (const Standard_Integer Index) const
Handle_IGESData_LineFontEntity & | ChangeValue (const Standard_Integer Index)
const IGESBasic_Array1OfLineFontEntity & | Array1 () const
IGESBasic_Array1OfLineFontEntity & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

IGESBasic_Array1OfLineFontEntity | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_HArray1OfLineFontEntity::IGESBasic_HArray1OfLineFontEntity | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESBasic_HArray1OfLineFontEntity::IGESBasic_HArray1OfLineFontEntity | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESData_LineFontEntity)& | V
| ) |

## Member Function Documentation

const IGESBasic_Array1OfLineFontEntity& IGESBasic_HArray1OfLineFontEntity::Array1 | ( |  | ) | const

IGESBasic_Array1OfLineFontEntity& IGESBasic_HArray1OfLineFontEntity::ChangeArray1 | ( |  | ) |

Handle_IGESData_LineFontEntity& IGESBasic_HArray1OfLineFontEntity::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESBasic_HArray1OfLineFontEntity::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESBasic_HArray1OfLineFontEntity::Init | ( | const Handle(IGESData_LineFontEntity)& | V | ) |

Standard_Integer IGESBasic_HArray1OfLineFontEntity::Length | ( |  | ) | const

Standard_Integer IGESBasic_HArray1OfLineFontEntity::Lower | ( |  | ) | const

void IGESBasic_HArray1OfLineFontEntity::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESData_LineFontEntity)& | Value
| ) |

Standard_Integer IGESBasic_HArray1OfLineFontEntity::Upper | ( |  | ) | const

const Handle_IGESData_LineFontEntity& IGESBasic_HArray1OfLineFontEntity::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESBasic_Array1OfLineFontEntity IGESBasic_HArray1OfLineFontEntity::myArray `[private]`

The documentation for this class was generated from the following file:

- IGESBasic_HArray1OfLineFontEntity.hxx